-- dbo.ET_Tabx_HDC_API_DigitalizaceSoubory_D
CREATE TRIGGER dbo.ET_Tabx_HDC_API_DigitalizaceSoubory_D ON dbo.Tabx_HDC_API_DigitalizaceSoubory
WITH EXECUTE AS CALLER
FOR DELETE
AS
BEGIN
 SET NOCOUNT ON

-- ! trigger neupravujte, bude stejne pregenerovan pri startu Win sluzby HDCDZApi

 DECLARE
  @id INT



-- cisteni seedu
 IF EXISTS(SELECT 1 FROM dbo.Tabx_HDC_API_DigitalizaceSoubory)
   BEGIN
    SELECT @id=MAX(ID) FROM dbo.Tabx_HDC_API_DigitalizaceSoubory
    DBCC CHECKIDENT(Tabx_HDC_API_DigitalizaceSoubory, RESEED, @id)
   END
  ELSE
   TRUNCATE TABLE dbo.Tabx_HDC_API_DigitalizaceSoubory

END
